# Class RefundAgent

#### Hierarchy

- unknown
  - RefundAgent

- Defined in src/protobuf/pb_pb.d.ts:2455
- Defined in src/protobuf/pb_pb.d.ts:2499

#####
Index

### Constructors

constructor

### Methods

addLanguageCodes
clearExtraDataMap
clearLanguageCodesList
clearNodeAddress
clearPubKeyRing
getEmailAddress
getExtraDataMap
getInfo
getLanguageCodesList
getNodeAddress
getPubKeyRing
getRegistrationDate
getRegistrationPubKey
getRegistrationPubKey_asB64
getRegistrationPubKey_asU8
getRegistrationSignature
hasNodeAddress
hasPubKeyRing
serializeBinary
setEmailAddress
setInfo
setLanguageCodesList
setNodeAddress
setPubKeyRing
setRegistrationDate
setRegistrationPubKey
setRegistrationSignature
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RefundAgent(): RefundAgent

- #### Returns RefundAgent

  Inherited from jspb.Message.constructor

## Methods

### addLanguageCodes

- addLanguageCodes(value: string, index?: number): RefundAgent

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2464

### clearExtraDataMap

- clearExtraDataMap(): RefundAgent

- #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2489

### clearLanguageCodesList

- clearLanguageCodesList(): RefundAgent

- #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2463

### clearNodeAddress

- clearNodeAddress(): RefundAgent

- #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2459

### clearPubKeyRing

- clearPubKeyRing(): RefundAgent

- #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2480

### getEmailAddress

- getEmailAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2482

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2488

### getInfo

- getInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2485

### getLanguageCodesList

- getLanguageCodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2461

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:2456

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:2477

### getRegistrationDate

- getRegistrationDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2466

### getRegistrationPubKey

- getRegistrationPubKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2472

### getRegistrationPubKey_asB64

- getRegistrationPubKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2474

### getRegistrationPubKey_asU8

- getRegistrationPubKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2473

### getRegistrationSignature

- getRegistrationSignature(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2469

### hasNodeAddress

- hasNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2458

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2479

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2491

### setEmailAddress

- setEmailAddress(value: string): RefundAgent

- #### Parameters

  - ##### value: string

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2483

### setInfo

- setInfo(value: string): RefundAgent

- #### Parameters

  - ##### value: string

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2486

### setLanguageCodesList

- setLanguageCodesList(value: string[]): RefundAgent

- #### Parameters

  - ##### value: string[]

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2462

### setNodeAddress

- setNodeAddress(value?: NodeAddress): RefundAgent

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2457

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): RefundAgent

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2478

### setRegistrationDate

- setRegistrationDate(value: number): RefundAgent

- #### Parameters

  - ##### value: number

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2467

### setRegistrationPubKey

- setRegistrationPubKey(value: string | Uint8Array): RefundAgent

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2475

### setRegistrationSignature

- setRegistrationSignature(value: string): RefundAgent

- #### Parameters

  - ##### value: string

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2470

### toObject

- toObject(includeInstance?: boolean): RefundAgent.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RefundAgent.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2492

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RefundAgent

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2495

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RefundAgent, reader: BinaryReader): RefundAgent

- #### Parameters

  - ##### message: RefundAgent

  - ##### reader: BinaryReader

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:2496

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RefundAgent, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RefundAgent

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2494

### `Static` toObject

- toObject(includeInstance: boolean, msg: RefundAgent): RefundAgent.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RefundAgent

  #### Returns RefundAgent.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2493

Generated using TypeDoc